ge-yast - action #64316

Automate YaST Online Search menu from yast2 sw_single module
2020-03-09 09:25 - JERiveraMoya

Status: New Start date: 2020-02-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: future

Description

After manual testing of feature in #63595 we can move forward with automation.

See https://jira.suse.com/browse/SLE-9109https://jira.suse.com/browse/SLE-9837 and https://jira.suse.com/browse/SLE-9839

More details: https:/gist.github.com/imobachgs/5651¢c4833cd8c7365806d3b422fbac51
https://trello.com/c/69gVjscd/1467-8-big-one-feature-jscsle-9109-improve-package-search-user-experience-across-modules

Here are the affected packages:

libyui: https://github.com/libyui/libyui/pull/159

libyui-ncurses-pkg: pending

libyui-qt-pkg: https://github.com/libyui/libyui-qt-pkg/pull/83

yast-ycp-ui-bindings: https:/github.com/yast/yast-ycp-ui-bindings/pull/49

® yast2: https:/github.com/yast/yast-yast2/pull/1013

e yast2-packager: https://github.com/yast/yast-packager/pull/501

e yast2-registration: https://github.com/yast/yast-registration/pull/467 and https://github.com/yast/yast-reqgistration/pull/472
e SUSEConnect: https:/github.com/SUSE/connect/pull/434

e UX improvements: https:/github.com/yast/yast-registration/pull/473

* Adding a controller: https:/github.com/yast/yast-registration/pull/476

[ ]

The option is located in the YaST2 software manager, under the "Extras" For the time being, the option (in the YaST2 software
manager, under the "Extras" menu) will be available only in those systems where the yast2-registration package is available.
However, if the system is unregistered, the user will get an error message about it.

Acceptance criteria

1. Have an scenario covering Online Search in x86_64 (no sense for other archs, check in #63595 for explanation)

2. Both textmode and gt should be cover due to different behavior found in #63595.

3. Basesystem and server module (our gcow?2 from create_hdd_gnome) should suffice as pre-registered module before using this
feature.

4. Search for several packages from different modules not yet registered in the system (even we could search for a package that
trigger two module to be installed, for example some module has deps on other modules, like the ones hanging from desktop
module)

5. Scenario should register everything requested and transfer all those package to Packager.

6. Out of the scope is the real installation of those package in Packager.

Suggestion

Scenario should be running

Consider Online medium and optional full medium with post-registration.

Consider in scenario to check for error dialog before we point to the official SCC by editing /etc/SUSEConnect.
Consider in scenario with full medium to check for error dialog before we register the system.

Consider validation of scenario using SUSEConnect tool.

Related issues:
Copied from openQA Tests - action #63595: [functional][y][SLE-9839][SLE-9837]... Resolved 2020-02-19 2020-03-10
#1 - 2020-03-09 09:25 - JERiveraMoya
- Copied from action #63595: [functional][y][SLE-9839][SLE-9837][SLE-9109] improve package search user experience across modules added
#2 - 2020-03-18 07:53 - riafarov

- Target version changed from Milestone 32 to future

#3 - 2020-10-20 15:12 - riafarov

- Project changed from openQA Tests to ge-yast

- Subject changed from [functional][y] Automate YaST Online Search menu from yast2 sw_single module to Automate YaST Online Search menu from
yast2 sw_single module
